<infra-num-map
  (markerAddedOrMoved)="onMarkerAddedOrMoved($event)"
  [editMode]="boxOptions().isForm || isCoordinatesToolOpen"
  [coordinatesToolOpen]="isCoordinatesToolOpen"
  [markersCoordinates]="markersCoordinates"
  [initialPositioning]="mapInitialPositioning">
</infra-num-map>

<div id="map-top-left-tools-wrapper">
  <dsfr-search-bar
    [size]="elementSize.SMALL"
    [autocomplete]="true"
    id="search"
    label="Recherche"
    placeholder="Rechercher une localité"
    (searchResultSelected)="onItemSelected($event)">
  </dsfr-search-bar>

  <infra-num-map-filters />
</div>
<div id="map-top-right-tools-wrapper">
  @if (!isCoordinatesToolOpen) {
    <infra-num-action-menu />
  }
  <ng-container #alertSlot></ng-container>
  <ng-template #alertTemplate>
    <dsfr-alert
      [type]="alertType"
      [hasCloseButton]="true">
      {{ alertDescription }}
    </dsfr-alert>
  </ng-template>
</div>

<infra-num-dynamic-box />
<infra-num-dynamic-box [mainBox]="false" />

<div
  id="map-bottom-left-tools-wrapper"
  [class.pushed-around]="boxOptions().display">
  <infra-num-coordinates-tool
    (coordinatesValuesChanged)="markersCoordinates = $event"
    (toolToggled)="isCoordinatesToolOpen = $event"
    [coordinates]="coordinatesToolMarker"
    [disabled]="boxOptions().isForm"
  />
</div>
